apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: prometheus-operator
  namespace: argocd
spec:
  project: operators
  source:
    repoURL: https://git.dvirlabs.com/dvirlabs/operators.git
    path: charts/kube-prometheus-stack
    targetRevision: master
    helm:
      releaseName: prometheus-operator
      skipCrds: true
      valueFiles:
        - ../../manifests/prometheus-operator/values.yaml
  destination:
    server: https://kubernetes.default.svc
    namespace: operators
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
      - CreateNamespace=true
